Retrieve a Form
GET /businesses/{businessId}/forms/{formId}
GET
/businesses/{businessId}/forms/{formId}
Retrieve a Form by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
The ID of the Business.
string
formId
required
The ID of the Form.
string
Responses
Section titled “ Responses ”A Form.
object
data
Form
A form to collect data from users.
object
id
required
Unique identifier across the platform.
string format: uuid
alias
required
The unique alias of the form.
string
Example
booking-form title
required
The title of the form.
string
Example
Booking Form description
The description of the form.
string
Example
Default form used for appointment bookings. category
The category of the form.
string
Example
General Practice visibility
The visibility of the form.
string
submissionsCount
The total number of submissions for the form.
integer
unreadSubmissionsCount
The number of unread submissions for the form.
integer
publishedAt
The date and time when the form was published.
string format: date-time
createdAt
required
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
required
Time when the resource was last updated (ISO 8601 format).
string format: date-time
url
The URL to access the form.
string
status
required
The current status of the form.
string
steps
The steps that make up this form.
Array<object>
object
draft
The draft version of the form, if available.
object
id
Unique identifier across the platform.
string format: uuid
steps
The steps that make up the draft form.
Array<object>
object
Form not found.
object
error
object
code
number
Example
404 title
string
Example
Not Found